from fastapi import APIRouter, Depends, Request

from ..controller.user import CreateUser
from ..model.user import CreateUserPayload, User

router = APIRouter(tags=["user"])


@router.post("", response_model=User)
async def create_user(
    request: Request,
    data: CreateUserPayload,
    contoller: CreateUser = Depends(CreateUser),
):
    return await contoller.call(data)
