from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

from .settings import Settings
from .view.tasks import router

app = FastAPI(title="Fooder Tasks admininstrative API")
app.include_router(router)


app.add_middleware(
    CORSMiddleware,
    allow_origins=Settings().ALLOWED_ORIGINS,
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)
